tigase.db

## Class DataSourceHelper

- java.lang.Object
- - tigase.db.DataSourceHelper

-     public class DataSourceHelper
      extends Object

  Created by andrzej on 15.03.2016.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `DataSourceHelper.Matcher`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataSourceHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T extends Class<?>> Set<T>` | `getAnnotatedClasses(T cls)`
    `static <T extends Class<?>> T` | `getDefaultClass(T cls, String uri)` Method returns class which would be by default used as implementation of class
    `static <T extends Class<?>> T` | `getDefaultClass(T cls, String uri, DataSourceHelper.Matcher matcher)`
    `static String` | `getDefaultClassName(Class cls, String uri)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataSourceHelper

          public DataSourceHelper()

  - ### Method Detail

    - #### getAnnotatedClasses

          public static <T extends Class<?>> Set<T> getAnnotatedClasses(T cls)

    - #### getDefaultClass

          public static <T extends Class<?>> T getDefaultClass(T cls,
                                                               String uri,
                                                               DataSourceHelper.Matcher matcher)
                                                        throws DBInitException

      Throws:
        `DBInitException`

    - #### getDefaultClass

          public static <T extends Class<?>> T getDefaultClass(T cls,
                                                               String uri)
                                                        throws DBInitException

      Method returns class which would be by default used as implementation of class
      Parameters:
        `cls` -
        `uri` -
      Returns:
      Throws:
        `DBInitException`

    - #### getDefaultClassName

          public static String getDefaultClassName(Class cls,
                                                   String uri)
                                            throws DBInitException

      Throws:
        `DBInitException`

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.